Commerce · Commerce

Record a marketing activity

Records a marketing activity. Works with Shopify accounts.

PUThttps://api.pozy.ai/v1/commerce/marketing-activities
ShopifyupsertCommerceMarketingActivity

Guides: Commerce & blogs, Products and catalog

Request

Send your API key as Authorization: Bearer pz_live_.... Read-only keys cannot call it. Keys with the commerce resource group disabled get 403 resource_group_disabled. Authentication

Request body

application/json, required

  • accountIdstringrequired
  • remoteIdstringrequired

    Up to 255 characters.

  • titlestringrequired
  • urlstring (URL)required
  • previewImageUrlstring (URL)
  • utmobject
    • campaignstringrequired
    • sourcestringrequired
    • mediumstringrequired
  • tacticstringrequired

    One of ad, post, message, newsletter, link, affiliate, retargeting, loyalty, seo.

  • channelstringrequired

    One of social, search, display, email, referral.

  • statusstringrequired

    One of active, inactive, paused, scheduled.

  • budgetobject
    • typestringrequired

      One of daily, lifetime.

    • amountstringrequired
  • adSpendstring
  • startedAtstring (date-time)
  • endedAtstring (date-time)

Example

curl -X PUT "https://api.pozy.ai/v1/commerce/marketing-activities" \
  -H "Authorization: Bearer $POZY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "accountId": "696e0b682d0a31188e7a2ba9",
  "remoteId": "6f548f9d20d8d19954bd9bff",
  "title": "Launch day",
  "url": "https://pozy.ai/media/example-1.jpg",
  "tactic": "ad",
  "channel": "social",
  "status": "active"
}'

Response

200 on success

  • marketingActivityobject
    • idstring
    • remoteIdstring
200 response
{
  "marketingActivity": {
    "id": "6bfebd43ddc270f6d2c56fc5",
    "remoteId": "6f548f9d20d8d19954bd9bff"
  }
}

Errors

Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:

400invalid_request_errorA parameter or body field is missing or invalid. param names it.
401authentication_errorThe API key is missing, revoked or expired.
403permission_errorThe key is read-only, scoped to other profiles, or has this resource group disabled.
429rate_limit_errorToo many requests this minute. Wait for Retry-After seconds.

Every code is listed in Errors.

More in Commerce

GETGet a storeGETList ordersGETGet an orderGETList productsPOSTCreate a productPOSTActivate, deactivate, archive or delete productsGETGet a productPATCHUpdate a productPOSTUpdate variant pricesGETList collectionsPOSTCreate a collectionGETGet a collectionPATCHUpdate a collectionDELDelete a collectionPOSTAdd or remove products in a collectionPOSTAdd variantsDELDelete variantsPOSTAdd optionsDELDelete optionsPOSTAdd imagesDELRemove imagesPOSTReorder imagesPOSTDuplicate a productGETList product metafieldsPUTSet product metafieldsDELDelete product metafieldsPOSTPublish or unpublish a productGETList collection metafieldsPUTSet collection metafieldsDELDelete collection metafieldsPOSTPublish or unpublish a collectionPOSTAdd or remove tags in bulkPOSTReorder products in a collectionGETList pagesPOSTCreate a pageGETGet a pagePATCHUpdate a pageDELDelete a pageGETList locationsGETGet a product's stockPOSTSet or adjust stockGETList sales channelsGETList discountsPOSTCreate a discountGETGet a discountPATCHUpdate a discountDELDelete a discountPOSTActivate or deactivate a discountPOSTAdd codes to a discountGETList URL redirectsPOSTCreate a URL redirectPATCHUpdate a URL redirectDELDelete a URL redirectGETList navigation menusPOSTCreate a navigation menuGETGet a navigation menuPUTReplace a navigation menuDELDelete a navigation menuGETList metaobject definitionsGETList metaobjects of a typePOSTCreate a metaobjectGETGet a metaobjectPATCHUpdate a metaobjectDELDelete a metaobjectGETList marketsGETList price listsPUTSet fixed pricesDELRemove fixed pricesDELDelete a marketing activityPOSTReport daily engagementGETList catalog syncsPOSTSync a store into a Meta catalogGETGet a catalog syncDELStop a catalog syncPOSTRun a catalog sync now